cURL
curl --request POST \ --url https://dev-api-be.localwell.in/app/partner/v1/order/get_order_status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'x-pharmacy-id: <x-pharmacy-id>' \ --data ' { "customer_order_id": 15, "send_invoice_base64": false, "page_size": "a4" } '
{ "data": { "customer_order_id": 20, "is_active": true, "created_on": "2021-08-01T05:19:15.098Z", "pharmacy_id": 1, "customer_id": 524, "order_no": "NhLr5Uyb21", "partner_order_identifier": "ORD-123", "order_notes": "This is Order Notes", "order_status_id": 3, "medicines": [ { "medicine_id": 61212, "medicine_name": "COLICAID EZ DROPS 15ML", "ordered_quantity": 5, "billed_quantity": 2 } ], "order_status_modified_on": "2021-08-01T06:07:02.242Z", "status_name": "Accepted" }, "statuscode": 200, "message": "Okay" }
Returns order details along with the current status name.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Pharmacy ID passed in the header
ID of the customer's order
15
Returns invoice base64 string if true and order status is 'Billing Done'
false
Page Size of Invoice
a4
a5
a6
"a4"
Successful response with order status
Show child attributes
200
"Okay"